Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo Struct Reference

`#include <FunctionDAG.h>`

## Public Attributes

Interval | in
bool | depends_on_estimate = false
bool | equals_required = false
bool | equals_union_of_required_with_constants = false
int64_t | c_min = 0
int64_t | c_max = 0

## Detailed Description

Definition at line 402 of file FunctionDAG.h.

## Member Data Documentation

## in

Interval Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo::in

Definition at line 405 of file FunctionDAG.h.

## depends_on_estimate

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo::depends_on_estimate = false

Definition at line 406 of file FunctionDAG.h.

## equals_required

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo::equals_required = false

Definition at line 409 of file FunctionDAG.h.

## equals_union_of_required_with_constants

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo::equals_union_of_required_with_constants = false

Definition at line 409 of file FunctionDAG.h.

## c_min

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo::c_min = 0

Definition at line 410 of file FunctionDAG.h.

## c_max

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Node::RegionComputedInfo::c_max = 0

Definition at line 410 of file FunctionDAG.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h